# GearmanClient::error

(PECL gearman >= 0.5.0)

GearmanClient::error — Returns an error string for the last error encountered

### Description

public GearmanClient::error ( void ) : string

Returns an error string for the last error encountered.

### Parameters

This function has no parameters.

### Return Values

A human readable error string.

### See Also

- GearmanClient::getErrno() - Get an errno value